; Users.ini ファイルを使用すると、設定などの保存先を変更することができます。
;
; 変更することができるのは以下の項目です。
;
;   SettingsDir              デフォルトの設定保存先フォルダ
;   LocalSettingsDir         デフォルトのローカル設定保存先フォルダ
;   IniFileName              INI ファイルのパス
;   PluginCacheDir           プラグインのキャッシュの保存先フォルダ
;   HistoryFileName          履歴ファイルのパス
;   HistoryDatabaseFileName  履歴データベースファイルのパス
;   FavoritesFileName        お気に入りファイルのパス
;   UserPropertiesFileName   ユーザープロパティデータベースファイルのパス
;   PythonDir                Python のフォルダ
;
; 設定には以下の環境変数が使用できます。大文字と小文字は区別されません。
;
;   %AppDir%           PictureFan.exe のあるフォルダ
;   %AppData%          アプリケーションデータフォルダ(通常は C:\Users\<ユーザー名>\AppData\Roaming)
;   %LocalAppData%     ローカルアプリケーションデータフォルダ(通常は C:\Users\<ユーザー名>\AppData\Local)
;   %UserName%         ユーザー名
;
; その他に、システムの環境変数が利用できます。
;
; 指定しない場合のデフォルトの設定は以下のようになっています。
;
;   SettingsDir              = %AppData%\PictureFan
;   LocalSettingsDir         = %LocalAppData%\PictureFan
;   IniFileName              = %SettingsDir%\PictureFan.ini
;   PluginCacheDir           = %LocalSettingsDir%
;   HistoryFileName          = %SettingsDir%\History.ini
;   HistoryDatabaseFileName  = %SettingsDir%\History.db
;   FavoritesFileName        = %SettingsDir%\Favorites.pffav
;   UserPropertiesFileName   = %SettingsDir%\Properties.db
;   PythonDir                = %AppDir%\Python
;
; 現在の設定は PictureFan のメニューの [ヘルプ] -> [プログラム情報] で確認できます。
;
; セクション名には設定を適用したいユーザー名を指定します。
; セクション名を @Default とすると、ユーザー別に指定されていない設定はそのセクションの設定が使用されます。
;
; @Default 内の設定で変数として %SettingsDir% または %LocalSettingsDir% を使用した場合、
; ユーザー別の設定でそれらが指定されていればその設定が使用されます。
;
; 例えば以下の例の場合、ユーザー Taro は PictureFan.ini がプログラムと同じフォルダに作成され、
; それ以外のユーザーはアプリケーションデータフォルダに作成されます。
;
;   [@Default]
;   SettingsDir=%AppData%
;   IniFileName=%SettingsDir%\PictureFan.ini
;   [Taro]
;   SettingsDir=%AppDir%
;
; ユーザー名の後に @ を付け、続けてコンピューター名を入れることで、そのコンピューターのユーザーに限定することができます。
; 例えば [Taro@MYCOMPUTER] とすれば、コンピューター名が MYCOMPUTER でユーザー名が Taro のユーザーに限定した設定を行うことができます。
; [@Default@MYCOMPUTER] とすれば、コンピューター名が MYCOMPUTER でユーザー別に指定されていない設定はそのセクションの設定が使用されます。
; その場合も、[@Default] での設定も適用されます。
;
; Users.ini はプログラムの起動時に読み込まれます。
; PictureFan の起動中に書き換えても反映されません。

; 以下はプログラムのあるフォルダにユーザー名のサブフォルダを作成して、
; そこに設定を保存する例です。
[@Default]
SettingsDir=%AppDir%\%UserName%
LocalSettingsDir=%AppDir%\%UserName%

; 以下はユーザー名 Taro の全ての設定とキャッシュをプログラムと同じフォルダに保存する例です。
[Taro]
SettingsDir=%AppDir%
LocalSettingsDir=%AppDir%
